webpackJsonp([25],{

/***/ 492:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "EcomUserLoginPageModule", function() { return EcomUserLoginPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ecom_user_login__ = __webpack_require__(666);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var EcomUserLoginPageModule = /** @class */ (function () {
    function EcomUserLoginPageModule() {
    }
    EcomUserLoginPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__ecom_user_login__["a" /* EcomUserLoginPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["p" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__ecom_user_login__["a" /* EcomUserLoginPage */]),
            ],
        })
    ], EcomUserLoginPageModule);
    return EcomUserLoginPageModule;
}());

//# sourceMappingURL=ecom-user-login.module.js.map

/***/ }),

/***/ 666:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return EcomUserLoginPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__services_ecom_user_service__ = __webpack_require__(285);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__services_ecom_config_func__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__services_ecom_fcm_service__ = __webpack_require__(156);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_device__ = __webpack_require__(90);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var EcomUserLoginPage = /** @class */ (function () {
    function EcomUserLoginPage(navCtrl, navParams, events2, userService, viewCtrl, app, configfunc, fcm, device) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.events2 = events2;
        this.userService = userService;
        this.viewCtrl = viewCtrl;
        this.app = app;
        this.configfunc = configfunc;
        this.fcm = fcm;
        this.device = device;
        this.userData = [];
        this.isUsernameValid = true;
        this.isPasswordValid = true;
        this.onEvent = function (event) {
            if (event == "onLogin" && _this.validate()) {
                var loginParams = {
                    'email': _this.username.toString(),
                    'password': _this.password.toString()
                };
                _this.userService.userLogin(loginParams).subscribe(function (login) {
                    // this.registerData = register;
                    if (login['error_warning'] != "") {
                        console.log(login['error_warning']);
                        _this.configfunc.presentAlert("Error", "LOGIN ERROR", login['error_warning']);
                    }
                    else {
                        _this.navCtrl.push("EcomUserAccountPage")
                            .then(function () {
                            // first we find the index of the current view controller:
                            var index = _this.viewCtrl.index;
                            // then we remove it from the navigation stack
                            _this.navCtrl.remove(index);
                            _this.events2.publish('user-role', login['user_role']);
                            //console.log(login);
                        });
                        var notifyParams = {
                            'device_id': _this.device.uuid,
                            'user_role': login['user_role'],
                            'email': login['email'],
                            'password': login['password'],
                            'auto_login': '',
                            'platform': _this.device.platform
                        };
                        _this.fcm.loginNotifyUser(notifyParams).subscribe(function (login) {
                            // GİRİŞ YAPILANLAR (ECOM_LOGIN) TABLOSUNDA DAHA ÖNCE MAIL ADRESİ İLE GİRİŞ YAPILIP YAPILMADIĞINI KONTROL EDER.
                            // MAİL ADRESİYLE GİRİŞ YAPILMADIYSA (ECOM_LOGIN) TABLOYA EKLER.
                            // MAİL ADRESİYLE GİRİŞ YAPILDIYSA BİLGİLERİ (DEVICE ID, USER ROLE VS) GÜNCELLER.
                            // GİRİŞ YAPILDIĞINDA KULLANICI ROLÜNE GÖRE FCM BİLDİRİMLERİ İÇİN YENİDEN KAYIT YAPAR
                            _this.fcm.getToken();
                        });
                    }
                    // console.log(login.error_warning);
                });
                return;
            }
            if (event == "onLogin" && !_this.validate()) {
                return;
            }
            else if (event == "onRegister") {
                // this.navCtrl.push("EcomRegisterPage");
                _this.navCtrl
                    .push("EcomUserRegisterPage")
                    .then(function () {
                    // first we find the index of the current view controller:
                    var index = _this.viewCtrl.index;
                    // then we remove it from the navigation stack
                    _this.navCtrl.remove(index);
                    console.log("PAGE INDEX: " + index);
                });
            }
            else {
                _this.navCtrl.remove(_this.viewCtrl.index);
            }
            /*
                  if (this.events[event]) {
                      this.events[event]({
                          'username' : this.username,
                          'password' : this.password
                      });
                      console.log("MAL: " +  this.username);
                  }
            */
        };
        this.getDataLogin = function () {
            return {
                "username": "Username",
                "password": "Password",
                "register": "REGISTER",
                "login": "LOGIN",
                "close": "CLOSE",
                "logo": "assets/images/logo.png",
                "errorUser": "Field can't be empty.",
                "errorPassword": "Field can't be empty."
            };
        };
        this.appMode = this.configfunc.getAppConfig('appMode');
        this.data = this.getDataLogin();
        console.log(this.data);
    }
    EcomUserLoginPage.prototype.validate = function () {
        this.isUsernameValid = true;
        this.isPasswordValid = true;
        if (!this.username || this.username.length == 0) {
            this.isUsernameValid = false;
        }
        if (!this.password || this.password.length == 0) {
            this.isPasswordValid = false;
        }
        return this.isPasswordValid && this.isUsernameValid;
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["E" /* Input */])(),
        __metadata("design:type", Object)
    ], EcomUserLoginPage.prototype, "events", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["E" /* Input */])(),
        __metadata("design:type", Object)
    ], EcomUserLoginPage.prototype, "data", void 0);
    EcomUserLoginPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-ecom-user-login',template:/*ion-inline-start:"F:\19NT\src\pages\ecom-user-login\ecom-user-login.html"*/'<ion-content white-background>\n  <ion-grid *ngIf="data != null && userData.login != true">\n    <ion-row wrap padding>\n      <ion-col col-12 col-sm-12 col-md-12 offset-lg-3 col-lg-6 offset-xl-3 col-xl-6>\n        <button ion-button button-clear clear (click)="onEvent(\'onSkip\')">{{data.close}}</button>\n        <!---Logo-->\n        <img padding-bottom [src]="this.configfunc.getAppConfig(\'logoTextBlackURL\')" *ngIf="data.logo != null">\n        <!---Input field username-->\n        <ion-item transparent>\n          <ion-label floating>{{data.username}}</ion-label>\n          <ion-input required type="text" [(ngModel)]="username"></ion-input>\n          <ion-label error-field no-margin style="color: #ec0707 !important;" *ngIf="!isUsernameValid">{{data.errorUser}}</ion-label>\n        </ion-item>\n        <!---Input field password-->\n        <ion-item transparent>\n          <ion-label floating>{{data.password}}</ion-label>\n          <ion-input required type="password" [(ngModel)]="password"></ion-input>\n          <ion-label error-field no-margin style="color: #ec0707 !important;" *ngIf="!isPasswordValid">{{data.errorPassword}}</ion-label>\n        </ion-item>\n        <!---Login button-->\n        <button ion-button float-left button-clear-outline outline (click)="onEvent(\'onLogin\')">{{data.login}}</button>\n        <!---Register button-->\n        <button *ngIf="appMode != \'19\'" ion-button float-left button-clear-outline outline (click)="onEvent(\'onRegister\')">{{data.register}}</button>\n      </ion-col>\n    </ion-row>\n  </ion-grid>\n</ion-content>\n'/*ion-inline-end:"F:\19NT\src\pages\ecom-user-login\ecom-user-login.html"*/,
            providers: [__WEBPACK_IMPORTED_MODULE_2__services_ecom_user_service__["a" /* EcomUserService */]],
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["u" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["v" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* Events */], __WEBPACK_IMPORTED_MODULE_2__services_ecom_user_service__["a" /* EcomUserService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["A" /* ViewController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* App */], __WEBPACK_IMPORTED_MODULE_3__services_ecom_config_func__["a" /* EcomConfigFunc */], __WEBPACK_IMPORTED_MODULE_4__services_ecom_fcm_service__["a" /* EcomFcmService */], __WEBPACK_IMPORTED_MODULE_5__ionic_native_device__["a" /* Device */]])
    ], EcomUserLoginPage);
    return EcomUserLoginPage;
}());

//# sourceMappingURL=ecom-user-login.js.map

/***/ })

});
//# sourceMappingURL=25.js.map